package com.jz.dmp.azkaban.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * 任务实例(ExecutionFlows)实体类
 *
 * @author Bellamy
 * @since 2021-01-14 10:37:57
 */
@ApiModel(value = "任务实例", description = "任务实例")
public class ExecutionFlows implements Serializable {
    private static final long serialVersionUID = 272745589551043011L;

    @ApiModelProperty(value = "${column.comment}")
    private Integer execId;

    @ApiModelProperty(value = "${column.comment}")
    private Integer projectId;

    @ApiModelProperty(value = "${column.comment}")
    private Integer version;

    @ApiModelProperty(value = "${column.comment}")
    private String flowId;

    @ApiModelProperty(value = "${column.comment}")
    private Integer status;

    @ApiModelProperty(value = "${column.comment}")
    private String submitUser;

    @ApiModelProperty(value = "${column.comment}")
    private Long submitTime;

    @ApiModelProperty(value = "${column.comment}")
    private Long updateTime;

    @ApiModelProperty(value = "${column.comment}")
    private Long startTime;

    @ApiModelProperty(value = "${column.comment}")
    private Long endTime;

    @ApiModelProperty(value = "${column.comment}")
    private Integer encType;

    @ApiModelProperty(value = "${column.comment}")
    private Object flowData;

    @ApiModelProperty(value = "${column.comment}")
    private Integer executorId;


    public Integer getExecId() {
        return execId;
    }

    public void setExecId(Integer execId) {
        this.execId = execId;
    }

    public Integer getProjectId() {
        return projectId;
    }

    public void setProjectId(Integer projectId) {
        this.projectId = projectId;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public String getFlowId() {
        return flowId;
    }

    public void setFlowId(String flowId) {
        this.flowId = flowId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getSubmitUser() {
        return submitUser;
    }

    public void setSubmitUser(String submitUser) {
        this.submitUser = submitUser;
    }

    public Long getSubmitTime() {
        return submitTime;
    }

    public void setSubmitTime(Long submitTime) {
        this.submitTime = submitTime;
    }

    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }

    public Long getStartTime() {
        return startTime;
    }

    public void setStartTime(Long startTime) {
        this.startTime = startTime;
    }

    public Long getEndTime() {
        return endTime;
    }

    public void setEndTime(Long endTime) {
        this.endTime = endTime;
    }

    public Integer getEncType() {
        return encType;
    }

    public void setEncType(Integer encType) {
        this.encType = encType;
    }

    public Object getFlowData() {
        return flowData;
    }

    public void setFlowData(Object flowData) {
        this.flowData = flowData;
    }

    public Integer getExecutorId() {
        return executorId;
    }

    public void setExecutorId(Integer executorId) {
        this.executorId = executorId;
    }

}