package com.jz.dmp.modules.model;

import org.apache.ibatis.type.Alias;

import java.io.Serializable;
import java.util.Date;

/**
 * DW系统配置信息(DmpProjectSystemInfo)实体类
 *
 * @author makejava
 * @since 2020-12-21 18:49:50
 */
@Alias("dmpProjectSystemInfo")
public class DmpProjectSystemInfo implements Serializable {
    private static final long serialVersionUID = -40082608195904585L;
    /**
     * ID
     */
    private Long id;
    /**
     * 项目ID
     */
    private Long projectId;
    /**
     * 是否启用KERBEROS
     */
    private String kerberosIsenable;
    /**
     * krb5地址
     */
    private String kerberosKrb5Conf;
    /**
     * jaas地址
     */
    private String kerberosJaasConf;
    /**
     * keytab地址
     */
    private String kerberosKeytabConf;
    /**
     * keytab用户
     */
    private String kerberosKeytabUser;
    /**
     * FQDN
     */
    private String kerberosFqdn;
    /**
     * spark专用jaas
     */
    private String kerberosSparkJaasConf;
    /**
     * jaas默认Clinet名称
     */
    private String kerberosJaasClientName;
    /**
     * 远程连接默认SERVER地址
     */
    private String shellCmdServer;
    /**
     * 远程连接默认用户
     */
    private String shellCmdUser;
    /**
     * 远程连接默认用户
     */
    private String shellCmdPassword;
    /**
     * 远程连接默认密码
     */
    private String shellCmdSubmitSycning;
    /**
     * 提交同步任务CMD
     */
    private String shellCmdQueryStatus;
    /**
     * 查询同步任务状态CMD
     */
    private String shellCmdStopSycning;
    /**
     * 停止同步任务CMD
     */
    private String shellCmdCatLog;
    /**
     * Shell服务器FTP下载目录
     */
    private String shellFtpDownloadDir;
    /**
     * 提交XML默认defaultFS
     */
    private String hdfsHttpPath;
    /**
     * 调用HADOOP的用户名称
     */
    private String hdfsUserName;
    /**
     * 提交XML到HDFS路径
     */
    private String hdfsSyncingPath;
    /**
     * IMPALA JDBC URL
     */
    private String impalaJdbcUrl;
    /**
     * IMPALA_SHELL_URL
     */
    private String impalaShellUrl;
    /**
     * AZKABAN WEB服务地址
     */
    private String azkabanMonitorUrl;
    /**
     * 执行shell任务命令
     */
    private String azkabanExectorShellExec;
    /**
     * 执行impala_sql任务命令
     */
    private String azkabanExectorSqlExec;
    /**
     * 执行数据同步任务命令
     */
    private String azkabanExectorXmlExec;
    /**
     * AZKABAN_EXECTOR_SQL_PATH
     */
    private String azkabanExectorSqlPath;
    /**
     * AZKABAN_EXECTOR_SHELL_PATH
     */
    private String azkabanExectorShellPath;
    /**
     * AZKABAN_LOCAL_TASK_FILE_PATH
     */
    private String azkabanLocalTaskFilePath;
    /**
     * KAFKA_CONNECTOR_URL
     */
    private String kafkaConnectorUrl;
    /**
     * KAFKA_BOOTSTRAP_SERVERS
     */
    private String kafkaBootstrapServers;
    /**
     * KAFKA_MONITOR_URL
     */
    private String kafkaMonitorUrl;
    /**
     * KAFKA_OFFSET_UPDATE_SHELL
     */
    private String kafkaOffsetUpdateShell;
    /**
     * 数据状态
     */
    private String dataStatus;
    /**
     * 创建用户ID
     */
    private String createUserId;
    /**
     * 数据创建时间
     */
    private Date createTime;
    /**
     * 创建用户ID
     */
    private String updateUserId;
    /**
     * 数据更新时间
     */
    private Date updateTime;
    /**
     * connector schema 注册地址
     */
    private String kafkaSchemaRegisterUrl;

    private String kafkaInfluxUrl;

    private String kafkaInfluxUserName;

    private String kafkaInfluxPassword;
    /**
     * 上传配置的SFTP端口
     */
    private Long shellSftpPort;
    /**
     * hive元数据地址
     */
    private String sparkHiveMetastoreUris;
    /**
     * SPART提交YARN队列名称
     */
    private String sparkYarnQueue;
    /**
     * spark_executor_memory
     */
    private String sparkDefaultExecutorMemory;
    /**
     * spark_executor_cores
     */
    private Long sparkDefaultExecutorCores;
    /**
     * spark_total_executor_cores
     */
    private Long sparkDefaultTotalExecutorCores;
    /**
     * 统计每天离线同步数据量（表级）
     */
    private String sparkStatisticsSourceDataSwitch;
    /**
     * ATLAS WEB服务地址
     */
    private String atlasMonitorUrl;

    private String openapiInterfaceUrl;

    private String azkabanExectorShellExportData;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public String getKerberosIsenable() {
        return kerberosIsenable;
    }

    public void setKerberosIsenable(String kerberosIsenable) {
        this.kerberosIsenable = kerberosIsenable;
    }

    public String getKerberosKrb5Conf() {
        return kerberosKrb5Conf;
    }

    public void setKerberosKrb5Conf(String kerberosKrb5Conf) {
        this.kerberosKrb5Conf = kerberosKrb5Conf;
    }

    public String getKerberosJaasConf() {
        return kerberosJaasConf;
    }

    public void setKerberosJaasConf(String kerberosJaasConf) {
        this.kerberosJaasConf = kerberosJaasConf;
    }

    public String getKerberosKeytabConf() {
        return kerberosKeytabConf;
    }

    public void setKerberosKeytabConf(String kerberosKeytabConf) {
        this.kerberosKeytabConf = kerberosKeytabConf;
    }

    public String getKerberosKeytabUser() {
        return kerberosKeytabUser;
    }

    public void setKerberosKeytabUser(String kerberosKeytabUser) {
        this.kerberosKeytabUser = kerberosKeytabUser;
    }

    public String getKerberosFqdn() {
        return kerberosFqdn;
    }

    public void setKerberosFqdn(String kerberosFqdn) {
        this.kerberosFqdn = kerberosFqdn;
    }

    public String getKerberosSparkJaasConf() {
        return kerberosSparkJaasConf;
    }

    public void setKerberosSparkJaasConf(String kerberosSparkJaasConf) {
        this.kerberosSparkJaasConf = kerberosSparkJaasConf;
    }

    public String getKerberosJaasClientName() {
        return kerberosJaasClientName;
    }

    public void setKerberosJaasClientName(String kerberosJaasClientName) {
        this.kerberosJaasClientName = kerberosJaasClientName;
    }

    public String getShellCmdServer() {
        return shellCmdServer;
    }

    public void setShellCmdServer(String shellCmdServer) {
        this.shellCmdServer = shellCmdServer;
    }

    public String getShellCmdUser() {
        return shellCmdUser;
    }

    public void setShellCmdUser(String shellCmdUser) {
        this.shellCmdUser = shellCmdUser;
    }

    public String getShellCmdPassword() {
        return shellCmdPassword;
    }

    public void setShellCmdPassword(String shellCmdPassword) {
        this.shellCmdPassword = shellCmdPassword;
    }

    public String getShellCmdSubmitSycning() {
        return shellCmdSubmitSycning;
    }

    public void setShellCmdSubmitSycning(String shellCmdSubmitSycning) {
        this.shellCmdSubmitSycning = shellCmdSubmitSycning;
    }

    public String getShellCmdQueryStatus() {
        return shellCmdQueryStatus;
    }

    public void setShellCmdQueryStatus(String shellCmdQueryStatus) {
        this.shellCmdQueryStatus = shellCmdQueryStatus;
    }

    public String getShellCmdStopSycning() {
        return shellCmdStopSycning;
    }

    public void setShellCmdStopSycning(String shellCmdStopSycning) {
        this.shellCmdStopSycning = shellCmdStopSycning;
    }

    public String getShellCmdCatLog() {
        return shellCmdCatLog;
    }

    public void setShellCmdCatLog(String shellCmdCatLog) {
        this.shellCmdCatLog = shellCmdCatLog;
    }

    public String getShellFtpDownloadDir() {
        return shellFtpDownloadDir;
    }

    public void setShellFtpDownloadDir(String shellFtpDownloadDir) {
        this.shellFtpDownloadDir = shellFtpDownloadDir;
    }

    public String getHdfsHttpPath() {
        return hdfsHttpPath;
    }

    public void setHdfsHttpPath(String hdfsHttpPath) {
        this.hdfsHttpPath = hdfsHttpPath;
    }

    public String getHdfsUserName() {
        return hdfsUserName;
    }

    public void setHdfsUserName(String hdfsUserName) {
        this.hdfsUserName = hdfsUserName;
    }

    public String getHdfsSyncingPath() {
        return hdfsSyncingPath;
    }

    public void setHdfsSyncingPath(String hdfsSyncingPath) {
        this.hdfsSyncingPath = hdfsSyncingPath;
    }

    public String getImpalaJdbcUrl() {
        return impalaJdbcUrl;
    }

    public void setImpalaJdbcUrl(String impalaJdbcUrl) {
        this.impalaJdbcUrl = impalaJdbcUrl;
    }

    public String getImpalaShellUrl() {
        return impalaShellUrl;
    }

    public void setImpalaShellUrl(String impalaShellUrl) {
        this.impalaShellUrl = impalaShellUrl;
    }

    public String getAzkabanMonitorUrl() {
        return azkabanMonitorUrl;
    }

    public void setAzkabanMonitorUrl(String azkabanMonitorUrl) {
        this.azkabanMonitorUrl = azkabanMonitorUrl;
    }

    public String getAzkabanExectorShellExec() {
        return azkabanExectorShellExec;
    }

    public void setAzkabanExectorShellExec(String azkabanExectorShellExec) {
        this.azkabanExectorShellExec = azkabanExectorShellExec;
    }

    public String getAzkabanExectorSqlExec() {
        return azkabanExectorSqlExec;
    }

    public void setAzkabanExectorSqlExec(String azkabanExectorSqlExec) {
        this.azkabanExectorSqlExec = azkabanExectorSqlExec;
    }

    public String getAzkabanExectorXmlExec() {
        return azkabanExectorXmlExec;
    }

    public void setAzkabanExectorXmlExec(String azkabanExectorXmlExec) {
        this.azkabanExectorXmlExec = azkabanExectorXmlExec;
    }

    public String getAzkabanExectorSqlPath() {
        return azkabanExectorSqlPath;
    }

    public void setAzkabanExectorSqlPath(String azkabanExectorSqlPath) {
        this.azkabanExectorSqlPath = azkabanExectorSqlPath;
    }

    public String getAzkabanExectorShellPath() {
        return azkabanExectorShellPath;
    }

    public void setAzkabanExectorShellPath(String azkabanExectorShellPath) {
        this.azkabanExectorShellPath = azkabanExectorShellPath;
    }

    public String getAzkabanLocalTaskFilePath() {
        return azkabanLocalTaskFilePath;
    }

    public void setAzkabanLocalTaskFilePath(String azkabanLocalTaskFilePath) {
        this.azkabanLocalTaskFilePath = azkabanLocalTaskFilePath;
    }

    public String getKafkaConnectorUrl() {
        return kafkaConnectorUrl;
    }

    public void setKafkaConnectorUrl(String kafkaConnectorUrl) {
        this.kafkaConnectorUrl = kafkaConnectorUrl;
    }

    public String getKafkaBootstrapServers() {
        return kafkaBootstrapServers;
    }

    public void setKafkaBootstrapServers(String kafkaBootstrapServers) {
        this.kafkaBootstrapServers = kafkaBootstrapServers;
    }

    public String getKafkaMonitorUrl() {
        return kafkaMonitorUrl;
    }

    public void setKafkaMonitorUrl(String kafkaMonitorUrl) {
        this.kafkaMonitorUrl = kafkaMonitorUrl;
    }

    public String getKafkaOffsetUpdateShell() {
        return kafkaOffsetUpdateShell;
    }

    public void setKafkaOffsetUpdateShell(String kafkaOffsetUpdateShell) {
        this.kafkaOffsetUpdateShell = kafkaOffsetUpdateShell;
    }

    public String getDataStatus() {
        return dataStatus;
    }

    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus;
    }

    public String getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(String updateUserId) {
        this.updateUserId = updateUserId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getKafkaSchemaRegisterUrl() {
        return kafkaSchemaRegisterUrl;
    }

    public void setKafkaSchemaRegisterUrl(String kafkaSchemaRegisterUrl) {
        this.kafkaSchemaRegisterUrl = kafkaSchemaRegisterUrl;
    }

    public String getKafkaInfluxUrl() {
        return kafkaInfluxUrl;
    }

    public void setKafkaInfluxUrl(String kafkaInfluxUrl) {
        this.kafkaInfluxUrl = kafkaInfluxUrl;
    }

    public String getKafkaInfluxUserName() {
        return kafkaInfluxUserName;
    }

    public void setKafkaInfluxUserName(String kafkaInfluxUserName) {
        this.kafkaInfluxUserName = kafkaInfluxUserName;
    }

    public String getKafkaInfluxPassword() {
        return kafkaInfluxPassword;
    }

    public void setKafkaInfluxPassword(String kafkaInfluxPassword) {
        this.kafkaInfluxPassword = kafkaInfluxPassword;
    }

    public Long getShellSftpPort() {
        return shellSftpPort;
    }

    public void setShellSftpPort(Long shellSftpPort) {
        this.shellSftpPort = shellSftpPort;
    }

    public String getSparkHiveMetastoreUris() {
        return sparkHiveMetastoreUris;
    }

    public void setSparkHiveMetastoreUris(String sparkHiveMetastoreUris) {
        this.sparkHiveMetastoreUris = sparkHiveMetastoreUris;
    }

    public String getSparkYarnQueue() {
        return sparkYarnQueue;
    }

    public void setSparkYarnQueue(String sparkYarnQueue) {
        this.sparkYarnQueue = sparkYarnQueue;
    }

    public String getSparkDefaultExecutorMemory() {
        return sparkDefaultExecutorMemory;
    }

    public void setSparkDefaultExecutorMemory(String sparkDefaultExecutorMemory) {
        this.sparkDefaultExecutorMemory = sparkDefaultExecutorMemory;
    }

    public Long getSparkDefaultExecutorCores() {
        return sparkDefaultExecutorCores;
    }

    public void setSparkDefaultExecutorCores(Long sparkDefaultExecutorCores) {
        this.sparkDefaultExecutorCores = sparkDefaultExecutorCores;
    }

    public Long getSparkDefaultTotalExecutorCores() {
        return sparkDefaultTotalExecutorCores;
    }

    public void setSparkDefaultTotalExecutorCores(Long sparkDefaultTotalExecutorCores) {
        this.sparkDefaultTotalExecutorCores = sparkDefaultTotalExecutorCores;
    }

    public String getSparkStatisticsSourceDataSwitch() {
        return sparkStatisticsSourceDataSwitch;
    }

    public void setSparkStatisticsSourceDataSwitch(String sparkStatisticsSourceDataSwitch) {
        this.sparkStatisticsSourceDataSwitch = sparkStatisticsSourceDataSwitch;
    }

    public String getAtlasMonitorUrl() {
        return atlasMonitorUrl;
    }

    public void setAtlasMonitorUrl(String atlasMonitorUrl) {
        this.atlasMonitorUrl = atlasMonitorUrl;
    }

    public String getOpenapiInterfaceUrl() {
        return openapiInterfaceUrl;
    }

    public void setOpenapiInterfaceUrl(String openapiInterfaceUrl) {
        this.openapiInterfaceUrl = openapiInterfaceUrl;
    }

    public String getAzkabanExectorShellExportData() {
        return azkabanExectorShellExportData;
    }

    public void setAzkabanExectorShellExportData(String azkabanExectorShellExportData) {
        this.azkabanExectorShellExportData = azkabanExectorShellExportData;
    }

}